Botan 2.13.0 Crypto and TLS for C++11

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions | List of all members
Botan::Cert_Extension::CRL_Issuing_Distribution_Point Class Referencefinal

`#include <x509_ext.h>`

Inheritance diagram for Botan::Cert_Extension::CRL_Issuing_Distribution_Point:

## Public Member Functions
CRL_Issuing_Distribution_Point * | copy () const override
| CRL_Issuing_Distribution_Point ()=default
| CRL_Issuing_Distribution_Point (const CRL_Distribution_Points::Distribution_Point &distribution_point)
const AlternativeName & | get_point () const
OID | oid_of () const override
virtual void | validate (const X509_Certificate &subject, const X509_Certificate &issuer, const std::vector< std::shared_ptr< const X509_Certificate >> &cert_path, std::vector< std::set< Certificate_Status_Code >> &cert_status, size_t pos)

## Static Public Member Functions
static OID | static_oid ()

## Detailed Description

CRL Issuing Distribution Point Extension todo enforce restrictions from RFC 5280 5.2.5

Definition at line 711 of file x509_ext.h.

## Constructor & Destructor Documentation

Botan::Cert_Extension::CRL_Issuing_Distribution_Point::CRL_Issuing_Distribution_Point | ( |  | ) |
| default

Referenced by copy().

Botan::Cert_Extension::CRL_Issuing_Distribution_Point::CRL_Issuing_Distribution_Point | ( | const CRL_Distribution_Points::Distribution_Point & | distribution_point | ) |
| inline explicit

Definition at line 716 of file x509_ext.h.

716 :
717 m_distribution_point(distribution_point) {}

## Member Function Documentation

CRL_Issuing_Distribution_Point* Botan::Cert_Extension::CRL_Issuing_Distribution_Point::copy | ( |  | ) | const
| inline override virtual

Make a copy of this extension

Returns
  copy of this

Implements Botan::Certificate_Extension.

Definition at line 719 of file x509_ext.h.

References CRL_Issuing_Distribution_Point().

720 { return new CRL_Issuing_Distribution_Point(m_distribution_point); }
Botan::Cert_Extension::CRL_Issuing_Distribution_Point::CRL_Issuing_Distribution_Point
CRL_Issuing_Distribution_Point()=default

const AlternativeName& Botan::Cert_Extension::CRL_Issuing_Distribution_Point::get_point | ( |  | ) | const
| inline

Definition at line 722 of file x509_ext.h.

References Botan::Cert_Extension::CRL_Distribution_Points::Distribution_Point::point().

723 { return m_distribution_point.point(); }
Botan::Cert_Extension::CRL_Distribution_Points::Distribution_Point::point
const AlternativeName & point() const
Definition: x509_ext.h:670

OID Botan::Cert_Extension::CRL_Issuing_Distribution_Point::oid_of | ( |  | ) | const
| inline override virtual

Returns
  OID representing this extension

Implements Botan::Certificate_Extension.

Definition at line 726 of file x509_ext.h.

References static_oid().

726 { return static_oid(); }
Botan::Cert_Extension::CRL_Issuing_Distribution_Point::static_oid
static OID static_oid()
Definition: x509_ext.h:725

static OID Botan::Cert_Extension::CRL_Issuing_Distribution_Point::static_oid | ( |  | ) |
| inline static

Definition at line 725 of file x509_ext.h.

Referenced by oid_of().

725 { return OID("2.5.29.28"); }

void Botan::Certificate_Extension::validate | ( | const X509_Certificate & | subject,
|  | const X509_Certificate & | issuer,
|  | const std::vector< std::shared_ptr< const X509_Certificate >> & | cert_path,
|  | std::vector< std::set< Certificate_Status_Code >> & | cert_status,
|  | size_t | pos
| ) |  |
| virtual inherited

Reimplemented in Botan::Cert_Extension::Unknown_Extension, Botan::Cert_Extension::Certificate_Policies, and Botan::Cert_Extension::Name_Constraints.

Definition at line 113 of file x509_ext.cpp.

117 {
118 }

The documentation for this class was generated from the following files:

- src/lib/x509/x509_ext.h
- src/lib/x509/x509_ext.cpp